using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace WizardPrototype
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");
            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new
                {
                    controller = "Tab",
                    action = "Main",
                    id = UrlParameter.Optional
                } 
            );
			routes.MapRoute(
				 name: "NoAction",
				 url: "{controller}/{action}/{id}",
				 defaults: new
				 {
					 controller = "Bootstrap",
					 action = "BootStrap",
					 id = UrlParameter.Optional
				 }
			 );

			routes.MapRoute(
				name: "BootstrapTabNoAction",
				url: "BootstrapTab",
				 defaults: new
				 {
					 controller = "Tab",
					 action = "BootStrap",
					 id = UrlParameter.Optional
				 }
			);
		}
	}
}